unit frmXXXXmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, ComCtrls, Dialogs,
  frmopfehler,
  frbaseframe;

const
  co_ErrConnectionMissing = 'Connection object empty';

type

  { TFrameXXXXMain }

  TFrameXXXXMain = class(TFrameBase)
    PC_Main: TPageControl;
    TS_Fehler: TTabSheet;
    TS_S2: TTabSheet;
    TS_4: TTabSheet;
    TS_S3: TTabSheet;
    TS_S1: TTabSheet;
    procedure TS_FehlerHide(Sender: TObject);
    procedure TS_FehlerShow(Sender: TObject);
    procedure TS_S2Hide(Sender: TObject);
    procedure TS_S2Show(Sender: TObject);
    procedure TS_4Hide(Sender: TObject);
    procedure TS_4Show(Sender: TObject);
    procedure TS_S1Hide(Sender: TObject);
    procedure TS_S1Show(Sender: TObject);
  private
    FrameFehler: TFrameBase1;
  protected
    procedure SetFrame;
    procedure UnsetFrame;
    //procedure SetCon(AValue: TZConnection); override;
    //procedure CheckCon(AConnection: TZConnection; var IsOk:Boolean);
  public
    constructor Create(TheOwner: TComponent); override;
    procedure Select; override;
    procedure UnSelect; override;
  end;

implementation

{$R *.lfm}


{ TFrameXXXXMain }

procedure TFrameXXXXMain.TS_S1Show(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.TS_S1Hide(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.TS_S2Hide(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.TS_FehlerShow(Sender: TObject);
begin
  if Assigned(FrameFehler) then
    FrameFehler.Select;
end;

procedure TFrameXXXXMain.TS_FehlerHide(Sender: TObject);
begin
  if Assigned(FrameFehler) then
    FrameFehler.UnSelect;
end;

procedure TFrameXXXXMain.TS_S2Show(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.TS_4Hide(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.TS_4Show(Sender: TObject);
begin
  //
end;

procedure TFrameXXXXMain.SetFrame;
begin
  if not assigned(FrameFehler) then begin
    try
      // Frame Fehlertest
      FrameFehler:= TFrameBase1.Create(TS_Fehler);
      FrameFehler.Parent:= TS_Fehler;
      //FrameFehler.Connection:= self.Connection;
      FrameFehler.Align:= alClient;
      FrameFehler.XMLPropStorage:= self.XMLPropStorage;
//      FrameFehler.OnCheckConnection:=@CheckCon;
    except
      //
    end;
  end;
end;

procedure TFrameXXXXMain.UnsetFrame;
begin
  if Assigned(FrameFehler) then
    FreeAndNil(FrameFehler);
end;

//procedure TFrameXXXXMain.SetCon(AValue: TZConnection);
//begin
//  if not Assigned(AValue) then
//    Exception.Create(co_ErrConnectionMissing);
//  inherited SetCon(AValue);
//end;
//
//procedure TFrameXXXXMain.CheckCon(AConnection: TZConnection; var IsOk: Boolean);
//begin
//  // use the helpfunction
//  //ConnectionRechable(AConnection,IsOk);
//end;

constructor TFrameXXXXMain.Create(TheOwner: TComponent);
begin
  inherited Create(TheOwner);
  FrameFehler:=nil;
  PC_Main.ActivePage:= TS_Fehler;
end;

procedure TFrameXXXXMain.Select;
var
  PingOk: Boolean;
begin
//  PingOk:=False;
//  CheckCon(Connection,PingOk);
  PingOk:= True;
  if PingOk then begin
    //Connection.Connect;
    SetFrame;
    inherited Select;
  end
  else
    ShowMessage('No connection');
end;

procedure TFrameXXXXMain.UnSelect;
begin
  inherited UnSelect;
  UnsetFrame;
end;

end.

